import React from 'react';
import { PageSectionItem } from '../../app';
export interface TableColumn extends PageSectionItem {
    render?: any;
    editable?: any;
}
interface IProps {
    style?: React.CSSProperties;
    className?: string;
    meta: {
        url: string;
        data?: {
            [x: string]: any;
        };
        pageSize?: number;
        method: string;
    };
    columns: (TableColumn[]);
    pageKey: string;
    tableKey: string;
}
declare function _Table(props: IProps): JSX.Element;
export declare const Table: React.MemoExoticComponent<typeof _Table>;
export {};
