import { Entry, EntryProps, isEntryPropsWithAPI } from './pages/Common/entry';
import { UIType, ConfigType, MenuItem, MenuGroup, isMenuGroup, AppHooks, PageSection, PageSectionItem } from './app';
import { AppProps } from './components/Layout';
import { FormItem } from './components/Form';
import { TableColumn } from './components/Table';
import { Plugin } from './plugins';
declare class Kitten {
    ui: UIType;
    config: ConfigType;
    plugins: Plugin[];
    debugHooks?: string[];
    constructor(ui: UIType, config: ConfigType, plugins: Plugin[], debugHooks?: string[]);
    render(renderer: {
        render: Function;
    }, dom: HTMLElement): void;
}
export { Kitten, Entry, Plugin, AppHooks, UIType, ConfigType, PageSection, PageSectionItem, MenuItem, MenuGroup, isMenuGroup, AppProps, EntryProps, isEntryPropsWithAPI, TableColumn, FormItem };
