import React from 'react';
import { UIType, ConfigType } from '../../app';
import { Plugin } from '../../plugins';
interface IProps {
    title: string;
    ui: UIType;
    config: ConfigType;
    plugins: Plugin[];
    debugHooks?: string[];
    pageKey: string;
}
interface IPropsWithAPI extends IProps {
    pageAPI: string;
}
interface IPropsWithJSON extends IProps {
    pageJSON: any[];
}
export declare function isEntryPropsWithAPI(item: IPropsWithAPI | IPropsWithJSON): item is IPropsWithAPI;
export declare type EntryProps = IPropsWithAPI | IPropsWithJSON;
declare function _Entry(props: EntryProps): JSX.Element;
export declare const Entry: React.MemoExoticComponent<typeof _Entry>;
export {};
